﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win.UltraWinGrid;

namespace UltraGridTest
{
	public static class GridExtensions
	{
		/// <summary>
		/// Returns all selected data rows in visible order. 
		/// </summary>
		public static List<UltraGridRow> GetAllSelectedDataRows(this UltraGrid grid)
		{
			var res = new List<UltraGridRow>();

			grid.Selected.Rows.Sort();
			foreach (UltraGridRow row in grid.Selected.Rows)
				if (row.IsDataRow)
					res.Add(row);

			return res;
		}
	}
}
